// middlewares/auth.middleware.js
import jwt from 'jsonwebtoken';

const verifyToken = (req, res, next) => {
  const token = req.headers.token;

  if (!token) {
    return res.status(401).json({ message: 'Access denied. No token provided.' });
  }

  try {
    const decoded = jwt.verify(token, process.env.JWT_SECRET); // Ensure this env var exists
    req.user = decoded; // Attach user payload to request
    next();
  } catch (err) {
    return res.status(400).json({ message: 'Invalid token.' });
  }
};

export default verifyToken;
