import sequelize from '../config/database.js';
import User from './user.model.js';

const connectDB = async () => {
  try {
    await sequelize.authenticate();
    console.log('Database connected.');
    await sequelize.sync(); // use { force: true } for dropping and recreating tables
  } catch (error) {
    console.error('Unable to connect to the database:', error);
  }
};

export { sequelize, connectDB, User };
