import joi from 'joi';

const createUserSchema = joi.object({
  name: joi.string().min(1).required(),
  phone_number: joi.string()
    .pattern(/^[0-9+\-\s()]+$/)
    .required()
    .messages({ 'string.pattern.base': 'Invalid phone number format' }),
});

const updateUserSchema = joi.object({
  name: joi.string().min(1).optional(),
  phone_number: joi.string()
    .pattern(/^[0-9+\-\s()]+$/)
    .optional()
    .messages({ 'string.pattern.base': 'Invalid phone number format' }),
});

export default {
  createUserSchema,
  updateUserSchema,
};
